var system = require("../../../system")
const CtlBase = require("../../ctlms.base");
class BusinessmenCtl extends CtlBase {
  constructor() {
    super();
    this.businessmenSve = system.getObject("service.saas.businessmenSve");
  }

  /**
   * 个体户列表
   * @param params
   * @param pobj2
   * @param req
   * @returns {Promise<void>}
   */
  async saasorderbusinessmenPage (params, pobj2, req){
    if(!params.saas_merchant_id){
      return system.getResult(null,`请重新登陆`)
    }
    params.merchant_id = params.saas_merchant_id;
    return await  this.businessmenSve.saasorderbusinessmenPage(params);
  }
}
module.exports = BusinessmenCtl;
